Subject: Re: [PATCH net-next v4 2/5] ice: configure FW logging

From: Jakub Kicinski <[email-masked]>
Date: Thu, 12 Oct 2023 16:40:33 -0700

On Wed, 11 Oct 2023 17:40:04 -0700 Paul M Stillwell Jr wrote:
> OK, so what if we changed the code to create a new debugfs file entry 
> for each module and used the dentry for ther file to know what file is 
> being written to. Then we would only need to parse the log level. Would 
> that be acceptable?

Yes, even better!

> My confusion is around what makes the cmdline parsing harder to follow. 
> Obviously for me it's easy :) so I am trying to understand your point of 
> view.

Dunno how to explain it other than "took me more than 10min to
understand this code and I only had 10min" :)  Reviewers have
their own angle when evaluation code which doesn't always align
with the author's..